-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "SZ_ImageTextListTest"

-- **************************************************
-- General information about this script
-- **************************************************

SZ_ImageTextListTest = {}

function SZ_ImageTextListTest:Name()
	return "Text List Text"
end

function SZ_ImageTextListTest:Version()
	return "1.0"
end

function SZ_ImageTextListTest:UILabel()
	return "Text List Test"
end

function SZ_ImageTextListTest:Creator()
	return "Stan aka Vodka"
end

function SZ_ImageTextListTest:Description()
	return "Text List Test"
end




-- **************************************************
-- Recurring values
-- **************************************************

-- SZ_ImageTextListTest.value1 = false

-- **************************************************
-- Is Enabled
-- **************************************************

function SZ_ImageTextListTest:IsEnabled(moho)
	return true
end

-- **************************************************
-- Dialog
-- **************************************************

local SZ_ImageTextListTestDialog = {}

SZ_ImageTextListTestDialog.MSG = MOHO.MSG_BASE

function SZ_ImageTextListTestDialog:new(moho)
	local d = LM.GUI.SimpleDialog("Text List Test", SZ_ImageTextListTestDialog)
	local l = d:GetLayout()
	
	d.moho = moho
	
	d.textList = LM.GUI.ImageTextList(200, 100, self.MSG)
	l:AddChild(d.textList)
	
	d.textList:SetAllowsMultipleSelection(true)
	
	for i=0, 20 do
		d.textList:AddItem("Option "..i)
	end
	
	d.textList:ScrollItemIntoView(10, true)
	
	return d
end

function SZ_ImageTextListTestDialog:UpdateWidgets()
	
end

function SZ_ImageTextListTestDialog:HandleMessage(msg)
	if(msg == self.MSG) then
		print("_____")
		local options = {}
		local numberOfSelectedItems = self.textList:NumSelectedItems()
		for i=0, numberOfSelectedItems-1 do
			local option = self.textList:GetSelItem(i)
			-- print(option)
			-- table.insert(options, tostring(option))
			table.insert(options, option)
		end
		print("You selected " .. numberOfSelectedItems .. " option(s): '" .. table.concat(options, ", ") .."'")
	end
end

function SZ_ImageTextListTestDialog:OnValidate()
	local b = true
	
	return b
end

function SZ_ImageTextListTestDialog:OnOK()
	
end

-- **************************************************
-- The guts of this script
-- **************************************************

function SZ_ImageTextListTest:Run(moho)
	local dlog = SZ_ImageTextListTestDialog:new(moho)
	if (dlog:DoModal() == LM.GUI.MSG_CANCEL) then
		return
	end
end





